---
- name: reboot
  become: true
  reboot:

- name: pickup Dnsmasq changes
  systemd:
    name: dnsmasq
    state: stopped
    enabled: no

- name: check port 53
# www.linuxquestions.org/questions/linux-newbie-8/centos-7-unable-to-open-port-for-dns-4175568038/
  debug:
    msg: "netstat -ltunp | grep ':53'"

- name: reload dns zone
# prime. /coredns.io/plugins/reload/
  docker_container:
    name: coredns
    image: coredns/coredns
    state: started
    restart: yes
